<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_e85897e3079d1459adfe0c771a8f09" . "ea" => base64_decode("ZmllbGQgbG" . "FiZWw="), "_ab3af949c" . "ef8cd611e6" . "e3bf6915cd" . "03c" => base64_decode("ZmllbGQgd" . "mFsdWU="));
class FieldNode extends Node
{
    const TYPE_LABEL = "@";
    const TYPE_VALUE = "\$";
    protected $name;
    protected $op;
    public function __construct($_6cdc8166e97f8f02b18a8c0f49844a7f, $_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        $this->name = $_5c59c380aa5c5e5f18f039ad7757fe97;
        $this->op = $_6cdc8166e97f8f02b18a8c0f49844a7f;
    }
    
    
    
    
    public function Children() : array
    {
        return [$this->name];
    }
    public function Name() : string
    {
        if ($this->op === self::TYPE_LABEL) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e85897e3079d14" . "59adfe0c771a8f0" . "9ea"];
        } else {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_ab3af949c" . "ef8cd611e6" . "e3bf6915cd" . "03c"];
        }
    }
    public function Type()
    {
        return $this->op;
    }
}